/* ====================================================================
 * Copyright (c) 2006,      Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "LogGraphNode.h"


LogGraphNode::LogGraphNode( Type type, const sc::String& name, const svn::LogEntryPtr log )
: _type(type), _name(name), _log(log)
{
}

const LogGraphNode::Type LogGraphNode::getType() const
{
  return _type;
}

const sc::String& LogGraphNode::getName() const
{
  return _name;
}

const svn::LogEntryPtr LogGraphNode::getLog() const
{
  return _log;
}
